## coloreffects coloreffects — Color Look-up Table filter |

## Synopsis

                        GstColorEffects;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoFilter
                               +----GstColorEffects

## Properties

      "preset"                   GstColorEffectsPreset  : Read / Write

## Description

Map colors of the video input to a lookup table

### Example launch line

    1
    gst-launch -v videotestsrc ! coloreffects preset=heat ! ffmpegcolorspace ! autovideosink

This pipeline shows the effect of coloreffects on a test stream.

## Details

### GstColorEffects

    typedef struct _GstColorEffects GstColorEffects;

Opaque datastructure.

## Property Details

### The `"preset"` property

      "preset"                   GstColorEffectsPreset  : Read / Write

Color effect preset to use.

Default value: Do nothing preset